<?php class Fce7d17ec extends F5ec8d168 { var $V435e0648; var $V5f4dcc3b; var $Vf618483e; var $V018531a6;
 var $V901555fb; var $Ve1260894; var $V5e7466a3; function __construct() { $this->Ve1260894= null;
$this->V5e7466a3= false; $this->V901555fb= null; } function __destruct() { $this->F716f6b30(); } 
 function F11e0eed8( $Ve2d45d57 ) { switch ( $Ve2d45d57 ) { case Cef53b24f: return new F0d043951();
case C90737d27: return new Fd11eca7e(); } return null; } function F6e76364f() {} function F4499a6ec() {}
 function F88245754() {} function Ff69a84a6( $V518a4861 ) {} function F7cef8a73() {} function Fd144b693() {}
 function F716f6b30() {} function Fb2b487d1() {} function F56859aa7() {} function F52fb3679( $V1b1cc7f0 ) {}
 function Fe10081ea() {} function F69431bdf() {} function Ff4d5b76a() {} function Ffffca4d6() {}
 function Ffff66e9b() {} function F510106c8( $Vee11cbb1, $V5f4dcc3b ) { $this->F716f6b30(); $this->F0be4cbc7( $Vee11cbb1 );
$this->F62cef76f( $V5f4dcc3b ); return $this->F7cef8a73(); } function Fe1260894() { return $this->Ve1260894;
} function Fce74825b() { return $this->Ve1260894!== null; } function F5e7466a3() { return $this->V5e7466a3;
} function F435e0648() { return $this->V435e0648; } function F0be4cbc7( $V435e0648 ) { $this->V435e0648= $V435e0648;
} function F5f4dcc3b() { return $this->V5f4dcc3b; } function F62cef76f( $V5f4dcc3b ) { $this->V5f4dcc3b= $V5f4dcc3b;
} function Ff618483e() { return $this->Vf618483e; } function F4b644e47( $Vf618483e ) { $this->Vf618483e= $Vf618483e;
} function F018531a6() { return $this->V018531a6; } function Fbd1b6646( $V018531a6 ) { $this->V018531a6= $V018531a6;
} function F901555fb() { return $this->V901555fb; } function Fda165cb0( $V901555fb ) { $this->V901555fb= $V901555fb;
} function Fa09f7557( $V9a0364b9 ) { return stripslashes( $V9a0364b9 ); } function Fe0ebc3c4( $V9a0364b9 ) {
 return $this->Fa09f7557( $V9a0364b9 ); } function F3b825bff( $V80071f37 ) { if ( !$this->F5e7466a3() ) {
 return false; } $V9ab2ec7e = $this->Fe10081ea(); if ( !$V9ab2ec7e ) { return false; } return F838567b3( $V80071f37, $V9ab2ec7e );
} function Fe6544f7a( $V80071f37 ) { if ( !$this->F5e7466a3() ) { return false; } $Vb4a88417 = $this->F52fb3679( "SELECT COUNT( * ) AS NB FROM $V80071f37" );
 if ( !$Vb4a88417 || !$Vb4a88417->Fa0d696df() ) { return false; } $Vde17f0f2 = $Vb4a88417->Fde17f0f2();
 if ( !$Vde17f0f2 ) { return false; } return $Vde17f0f2[ 0 ] > 0; } function F7b14ecab( $Vb2c97ae4, $Vd05b6ed7, $V4b583376 ) {
 $V10ae9fc7 = array(); if ( !is_array( $Vd05b6ed7 ) ) { if ( defined( $Vd05b6ed7 ) ) { $Vd05b6ed7 = constant( $Vd05b6ed7 );
} $Vd05b6ed7 = explode( ',', $Vd05b6ed7 ); } for ( $V865c0c0b = 0; $V865c0c0b < count( $Vd05b6ed7 ); $V865c0c0b++ ) {
 $V06e3d36f = $Vd05b6ed7[ $V865c0c0b ]; $V10ae9fc7[] = "$V06e3d36f LIKE '%".$this->Fe0ebc3c4( $Vb2c97ae4 )."%'";
} return implode( "$V4b583376 ", $V10ae9fc7 ); } } ?> 